@mixin flexBox($direction:column ,$justify-content:center,$align-items:center,$flex-wrap:nowrap) {
    display: flex;
    flex-direction: $direction;
    justify-content: $justify-content ;
    align-items: $align-items;
    flex-wrap: $flex-wrap;
    
}

@mixin link($color,$font-size:1rem, $text-decoration: none) {
    text-decoration: $text-decoration;
    color: $color;
    font-size: $font-size;
    
}

@mixin grid($width,$gap:100px) {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax($width,1fr));
    gap: $gap;
}

@mixin fontSubtitle() {
    font-size: 1.2rem;
    padding: $bigPadding;
    text-decoration: none;
    text-transform: uppercase;

}

@mixin borderBottom() {
    border-bottom: 1px solid $black;
    
}

@mixin border(){
    border: 1px solid $black;
    border-radius: 3px;
}